#!/usr/bin/gnuplot

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

f(m) = m/gms*M_S/M_E
g(m) = sqrt(f(m))*3.0

set term post eps enh color solid "Helvetica,18" 
set out "at_symba11b_reductions3_038.eps"
set size 0.65,0.85

set xl "{/Helvetica-Oblique a} [au]"
set yl "{/Helvetica-Oblique t} [yr]" offset 1.5,0

set xr [0.15:1.80]
set yr [-0.10e7:1.10e7]
set cbr [0:1.2]

set ytics (\
  "{/=18 0}"            0.0e6,\
  "{/=18 2{\264}10^6}"  2.0e6,\
  "{/=18 4{\264}10^6}"  4.0e6,\
  "{/=18 6{\264}10^6}"  6.0e6,\
  "{/=18 8{\264}10^6}"  8.0e6,\
  "{/=18 10^7}"         1.0e7 \
  )
set nocolorbox
set nokey

set lmargin 7.0
set rmargin 1.5
set bmargin 3.1
set tmargin 0.2

p \
  "<awk '($2<=1.0e7)' ../../symba11b_reductions3/038/follow.out"  u ($3*(1-$4)):2:(f($9)) w d lc 'gray',\
  "<awk '($2<=1.0e7)' ../../symba11b_reductions3/038/follow.out"  u ($3*(1+$4)):2:(f($9)) w d lc 'gray',\
  "<awk '($2<=1.0e7)' ../../symba11b_reductions3/038/follow.out"  u 3:2:(f($9)) w d lc palette z,\
  "../../symba11b_reductions3/038/initial.out" u 3:(-0.05e7):(g($9)):(f($9)) w p pt 7 ps var lc palette z,\
  "../../symba11b_reductions3/038/10My.out"    u 3:( 1.05e7):(g($9)):(f($9)) w p pt 7 ps var lc palette z,\
  0.0e7 w l lt 0,\
  1.0e7 w l lt 0
 
q
 


