#!/usr/bin/env python

import math

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

deltaa = 0.0001

def reso_func(a, m):
    r = []
    for pl in xrange(len(a)-1,1,-1):
        tp = pl-1
        a_pl = a[pl]
        a_tp = a[tp] 
        rs = []
        for o in xrange(1,10):
            for i in xrange(1,20):
                j = i+o
                tmp = 1.0*i/j
                a_res = a_pl*(1.0*i/j)**(2.0/3.0)
                if abs(a_tp-a_res) < deltaa and tmp not in rs:
                    rs.append(tmp)
                    if i % 2 == 1 or (i % 2 == 0 and o % 2 == 1):
                        tmp = {
                            'pl': pl,
                            'tp': tp,
                            'a_pl': a_pl,
                            'a_tp': a_tp,
                            'a_res': a_res,
                            'i': i,
                            'j': j,
                            'm_pl': m[pl],
                            'm_tp': m[tp],
                            }
                        r.append(tmp)
                    else:
                        pass
    return r

def follow(filename, func):
    a = []
    e = []
    i = []
    m = []
    tlast = 0.0
    f = open(filename, "r")
    f2 = open("reso.out", "w")
    f2.write("# t & pl & & tp & a_pl [au] & a_tp [au] & a_res [au] & j & i & m_pl [gms] & m_tp [gms]\n")

    def prn():
        r = func(a, m)
        for k in xrange(0,len(r)):
            f2.write("%.8e	%d	%d	%.6f	%.6f	%.6f	%d	%d	%.6e	%.6e\n" % (tlast, r[k]['pl']+1, r[k]['tp']+1, r[k]['a_pl'], r[k]['a_tp'], r[k]['a_res'], r[k]['j'], r[k]['i'], r[k]['m_pl'], r[k]['m_tp']))

    for line in f.readlines():
        l = line.split()
        j = int(l[0])
        t = float(l[1])

        if t != tlast:
             prn()
             a = []
             e = []
             i = []
             m = []

        a.append(float(l[2]))
        e.append(float(l[3]))
        i.append(float(l[4]))
        m.append(float(l[8]))
        tlast = t

    print "a = ", a
    prn()
    f.close()
    f2.close()
    return a, e, i, m

def main():
    follow("follow.out", reso_func)
#    follow("final.out", reso_func)
#    follow("10My.out", reso_func)

if __name__ == "__main__":
    main()

