#!/usr/bin/gnuplot

set term png small
set out "source.png"

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

set xl "{/Helvetica-Oblique a}_{fin} [au]"
set yl "{/Helvetica-Oblique m}_{fin} [{/Helvetica-Oblique M}_E]" offset 1,0
set cbl "{/Helvetica-Oblique a}_{ini} [au]"

set xr [0.175:1.8]
set yr [0.0:1.8]
c1=0.2
c2=1.8
set cbr [c1:c2]

set colorbox
set nokey
set style fill solid 1

set lmargin 7.0
set rmargin 2.0
set bmargin 3.1
set tmargin 0.6

set palette defined (\
  0.0                "red",\
  (0.5  -c1)/(c2-c1) "orange",\
  (0.723-c1)/(c2-c1) "#eeeeee",\
  (1.0  -c1)/(c2-c1) "#eeeeee",\
  (1.2  -c1)/(c2-c1) "cyan"  ,\
  1.0                "#0000aa" \
  )

f(m) = 0.05*sqrt(m)

p "<../plt/source.awk source.out" u 1:2:(f($3)):4:5:6 w circles lc palette z lw 0,\
  "../plt/ss.dat" u 3:6:(f($6)) t "Solar System" w circles lt 2 lw 2 fs empty,\
  "<awk '{ print $3*(1-$4),$6; print $3*(1+$4),$6; print s; }' ../plt/ss.dat" u 1:2 not w l lt 2 lw 1.5

q


